% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dna_tools.R
\name{debug_join_vector_str}
\alias{debug_join_vector_str}
\title{Print a character/string vector to console (\code{ggDNAvis} debug helper)}
\usage{
debug_join_vector_str(vector)
}
\arguments{
\item{vector}{\verb{character vector}. Usually generated by some other function. This function allows copy-pasting the output to directly create a vector with this value.}
}
\value{
None (invisible \code{NULL}) - uses \code{\link[=cat]{cat()}} to output directly to console.
}
\description{
Takes a character/string vector, and prints it to the console separated by \code{", "}.\cr\cr
This allows the output to be copy-pasted into a vector within an R script.
Used for taking vector outputs and then writing them as literals within a script. \cr\cr
E.g. when given input \code{strsplit("ABCD", split = "")[[1]]}, prints \verb{"A", "B", "C", "D"},
which can be directly copy-pasted within \code{c()} to input that vector.
Printing normally via \code{print(strsplit("ABCD", split = "")[[1]])} instead prints
\verb{[1] "A" "B" "C" "D"}, which is not valid vector input so can't be copy-pasted directly.\cr\cr
See \code{\link[=debug_join_vector_num]{debug_join_vector_num()}} for the equivalent for numeric vectors.
}
\examples{
debug_join_vector_str(c("A", "B", "C", "D"))

}
